{
	"configurations" : 
	[
		{
			"directories" : 
			[
				{
					"build" : ".",
					"childIndexes" : 
					[
						1
					],
					"hasInstallRule" : true,
					"jsonFile" : "directory-.-Debug-89a6f1c57e7216c51d80.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.12"
					},
					"projectIndex" : 0,
					"source" : ".",
					"targetIndexes" : 
					[
						0,
						1,
						2,
						3,
						5,
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						13,
						14,
						15,
						16,
						17,
						18
					]
				},
				{
					"build" : "mc__py",
					"jsonFile" : "directory-mc__py-Debug-b51dac787e9503a2a287.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.12"
					},
					"parentIndex" : 0,
					"projectIndex" : 0,
					"source" : "build/mc__py",
					"targetIndexes" : 
					[
						4
					]
				}
			],
			"name" : "Debug",
			"projects" : 
			[
				{
					"directoryIndexes" : 
					[
						0,
						1
					],
					"name" : "mc",
					"targetIndexes" : 
					[
						0,
						1,
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						13,
						14,
						15,
						16,
						17,
						18
					]
				}
			],
			"targets" : 
			[
				{
					"directoryIndex" : 0,
					"id" : "ament_cmake_python_build_mc_egg::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-ament_cmake_python_build_mc_egg-Debug-952d494155c4e6511e6a.json",
					"name" : "ament_cmake_python_build_mc_egg",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "ament_cmake_python_copy_mc::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-ament_cmake_python_copy_mc-Debug-b3f1d860df4c94f075fe.json",
					"name" : "ament_cmake_python_copy_mc",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "mc::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-mc-Debug-e34fceb0c87e609658d9.json",
					"name" : "mc",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "mc__cpp::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-mc__cpp-Debug-dec16bd9639f2bf6e3d9.json",
					"name" : "mc__cpp",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 1,
					"id" : "mc__py::@76a0c2d322853d3e784c",
					"jsonFile" : "target-mc__py-Debug-ce1eab504efff5ec5ecc.json",
					"name" : "mc__py",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "mc__rosidl_generator_c::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-mc__rosidl_generator_c-Debug-82081f7c78ee844ce6ab.json",
					"name" : "mc__rosidl_generator_c",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "mc__rosidl_generator_py::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-mc__rosidl_generator_py-Debug-5e581c51d847751e2655.json",
					"name" : "mc__rosidl_generator_py",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "mc__rosidl_typesupport_c::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-mc__rosidl_typesupport_c-Debug-e312b23ea4b0712da769.json",
					"name" : "mc__rosidl_typesupport_c",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "mc__rosidl_typesupport_c__pyext::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-mc__rosidl_typesupport_c__pyext-Debug-dad59f29db3613801071.json",
					"name" : "mc__rosidl_typesupport_c__pyext",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "mc__rosidl_typesupport_cpp::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-mc__rosidl_typesupport_cpp-Debug-2b1d6795d5755bd0762a.json",
					"name" : "mc__rosidl_typesupport_cpp",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "mc__rosidl_typesupport_fastrtps_c::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-mc__rosidl_typesupport_fastrtps_c-Debug-30157b1655a454358f1a.json",
					"name" : "mc__rosidl_typesupport_fastrtps_c",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "mc__rosidl_typesupport_fastrtps_c__pyext::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-mc__rosidl_typesupport_fastrtps_c__pyext-Debug-3218efec4142effe5bd3.json",
					"name" : "mc__rosidl_typesupport_fastrtps_c__pyext",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "mc__rosidl_typesupport_fastrtps_cpp::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-mc__rosidl_typesupport_fastrtps_cpp-Debug-981ac6a1cefd91d555dd.json",
					"name" : "mc__rosidl_typesupport_fastrtps_cpp",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "mc__rosidl_typesupport_introspection_c::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-mc__rosidl_typesupport_introspection_c-Debug-e33c92d570ac3545c4d2.json",
					"name" : "mc__rosidl_typesupport_introspection_c",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "mc__rosidl_typesupport_introspection_c__pyext::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-mc__rosidl_typesupport_introspection_c__pyext-Debug-460f4407370d9608f2b7.json",
					"name" : "mc__rosidl_typesupport_introspection_c__pyext",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "mc__rosidl_typesupport_introspection_cpp::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-mc__rosidl_typesupport_introspection_cpp-Debug-158e0d53c6c95c5806e6.json",
					"name" : "mc__rosidl_typesupport_introspection_cpp",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "mc_node::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-mc_node-Debug-d98e6789c33a4b84c70b.json",
					"name" : "mc_node",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "mc_uninstall::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-mc_uninstall-Debug-80838f39a3df726acb54.json",
					"name" : "mc_uninstall",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "uninstall::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-uninstall-Debug-f96beac03ad1db54d30e.json",
					"name" : "uninstall",
					"projectIndex" : 0
				}
			]
		}
	],
	"kind" : "codemodel",
	"paths" : 
	{
		"build" : "/home/cxh/ros2_ws/src/mc/build",
		"source" : "/home/cxh/ros2_ws/src/mc"
	},
	"version" : 
	{
		"major" : 2,
		"minor" : 3
	}
}
